org.springframework.data.jdbc.repository.support

## Class JdbcRepositoryFactory

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryFactorySupport
  - - org.springframework.data.jdbc.repository.support.JdbcRepositoryFactory

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, BeanFactoryAware

    public class JdbcRepositoryFactory
    extends RepositoryFactorySupport

Creates repository implementation based on JDBC.

Author:
  Jens Schauder, Greg Turnquist, Christoph Strobl, Mark Paluch, Hebert Coelho

### Constructor Summary

Constructors
Constructor and Description
`JdbcRepositoryFactory(DataAccessStrategy dataAccessStrategy, RelationalMappingContext context, JdbcConverter converter, Dialect dialect, ApplicationEventPublisher publisher, NamedParameterJdbcOperations operations)` Creates a new `JdbcRepositoryFactory` for the given `DataAccessStrategy`, `RelationalMappingContext` and `ApplicationEventPublisher`.

### Method Summary

All Methods Instance Methods Concrete Methods
`<T,ID> EntityInformation<T,ID>` `getEntityInformation(Class<T> aClass)`
`protected Optional<QueryLookupStrategy>` `getQueryLookupStrategy(QueryLookupStrategy.Key key, QueryMethodEvaluationContextProvider evaluationContextProvider)`
`protected Class<?>` `getRepositoryBaseClass(RepositoryMetadata repositoryMetadata)`
`protected Object` `getTargetRepository(RepositoryInformation repositoryInformation)`
`void` `setBeanFactory(BeanFactory beanFactory)`
`void` `setEntityCallbacks(EntityCallbacks entityCallbacks)`
`void` `setQueryMappingConfiguration(QueryMappingConfiguration queryMappingConfiguration)`

### Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactorySupport

`addInvocationListener, addQueryCreationListener, addRepositoryProxyPostProcessor, getProjectionFactory, getQueryMethods, getRepository, getRepository, getRepository, getRepositoryFragments, getRepositoryInformation, getRepositoryMetadata, getTargetRepositoryViaReflection, getTargetRepositoryViaReflection, setBeanClassLoader, setEvaluationContextProvider, setNamedQueries, setQueryLookupStrategyKey, setRepositoryBaseClass, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcRepositoryFactory

    public JdbcRepositoryFactory(DataAccessStrategy dataAccessStrategy,
                                 RelationalMappingContext context,
                                 JdbcConverter converter,
                                 Dialect dialect,
                                 ApplicationEventPublisher publisher,
                                 NamedParameterJdbcOperations operations)

Creates a new `JdbcRepositoryFactory` for the given `DataAccessStrategy`, `RelationalMappingContext` and `ApplicationEventPublisher`.

Parameters:
  `dataAccessStrategy` - must not be null.
  `context` - must not be null.
  `converter` - must not be null.
  `dialect` - must not be null.
  `publisher` - must not be null.
  `operations` - must not be null.

### Method Detail

#### setQueryMappingConfiguration

    public void setQueryMappingConfiguration(QueryMappingConfiguration queryMappingConfiguration)

Parameters:
  `queryMappingConfiguration` - must not be null consider `QueryMappingConfiguration.EMPTY` instead.

#### getEntityInformation

    public <T,ID> EntityInformation<T,ID> getEntityInformation(Class<T> aClass)

Specified by:
  `getEntityInformation` in class `RepositoryFactorySupport`

#### getTargetRepository

    protected Object getTargetRepository(RepositoryInformation repositoryInformation)

Specified by:
  `getTargetRepository` in class `RepositoryFactorySupport`

#### getRepositoryBaseClass

    protected Class<?> getRepositoryBaseClass(RepositoryMetadata repositoryMetadata)

Specified by:
  `getRepositoryBaseClass` in class `RepositoryFactorySupport`

#### getQueryLookupStrategy

    protected Optional<QueryLookupStrategy> getQueryLookupStrategy(@Nullable
                                                                   QueryLookupStrategy.Key key,
                                                                   QueryMethodEvaluationContextProvider evaluationContextProvider)

Overrides:
  `getQueryLookupStrategy` in class `RepositoryFactorySupport`

#### setEntityCallbacks

    public void setEntityCallbacks(EntityCallbacks entityCallbacks)

Parameters:
  `entityCallbacks` -
Since:
  1.1

#### setBeanFactory

    public void setBeanFactory(@Nullable
                               BeanFactory beanFactory)

Specified by:
  `setBeanFactory` in interface `BeanFactoryAware`
Overrides:
  `setBeanFactory` in class `RepositoryFactorySupport`
Parameters:
  `beanFactory` - the `BeanFactory` used for looking up `RowMapper` and `ResultSetExtractor` beans.